// Create a new object for custom validation of the iban field.
var ibanFieldController = Marionette.Object.extend({
    initialize: function() {
        // on the Field's model value change...
        // there does not appear an onKeyUp event we can listen to, unfortunately..
        var fieldsChannel = Backbone.Radio.channel('fields');
        this.listenTo(fieldsChannel, 'change:modelValue', this.validate);
    },

    validate: function(model) {
        // we only validate the iban fields type here
        if (model.get('type') != 'iban') return;

        // Check if Model has a value
        if (model.get('value')) {
            // we don't do any more client side validation here, so we just remove
            // the error on every change
            Backbone.Radio.channel( 'fields' ).request( 'remove:error', model.get( 'id' ), 'iban' );
        }
    }
});

// On Document Ready...
jQuery(document).ready(function($) {
    // Instantiate our custom field's controller, defined above.
    new ibanFieldController();
});
